org.apache.cassandra.config

## Class ParameterizedClass

- java.lang.Object
- - org.apache.cassandra.config.ParameterizedClass

    public class ParameterizedClass
    extends java.lang.Object

### Field Summary

Fields
`java.lang.String` `class_name`
`static java.lang.String` `CLASS_NAME`
`java.util.Map<java.lang.String,java.lang.String>` `parameters`
`static java.lang.String` `PARAMETERS`

### Constructor Summary

Constructors
Constructor and Description
`ParameterizedClass(java.util.Map<java.lang.String,?> p)`
`ParameterizedClass(java.lang.String class_name, java.util.Map<java.lang.String,java.lang.String> parameters)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object that)`
`boolean` `equals(ParameterizedClass that)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CLASS_NAME

    public static final java.lang.String CLASS_NAME

See Also:
  Constant Field Values

#### PARAMETERS

    public static final java.lang.String PARAMETERS

See Also:
  Constant Field Values

#### class_name

    public java.lang.String class_name

#### parameters

    public java.util.Map<java.lang.String,java.lang.String> parameters

### Constructor Detail

#### ParameterizedClass

    public ParameterizedClass(java.lang.String class_name,
                              java.util.Map<java.lang.String,java.lang.String> parameters)

#### ParameterizedClass

    public ParameterizedClass(java.util.Map<java.lang.String,?> p)

### Method Detail

#### equals

    public boolean equals(java.lang.Object that)

Overrides:
  `equals` in class `java.lang.Object`

#### equals

    public boolean equals(ParameterizedClass that)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`